## org.jboss.ejb.plugins
Class BeanSemaphore

    java.lang.Object
      |
      +--org.jboss.util.Semaphore
            |
            +--org.jboss.ejb.plugins.BeanSemaphore

All Implemented Interfaces:
  Sync

public class BeanSemaphore
extends Semaphore

Allow ability to mark a Semaphore as no longer valid for mutex locking

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Constructor Summary
`BeanSemaphore(int allowed)`

Method Summary
`void` `invalidate()`
`boolean` `isValid()`

Methods inherited from class org.jboss.util.Semaphore
`acquire, getUsers, logAcquire, logDeadlock, logRelease, release, toString, waitImpl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanSemaphore

    public BeanSemaphore(int allowed)

Method Detail

### invalidate

    public void invalidate()

### isValid

    public boolean isValid()

Copyright © 2000 The JBoss Organization. All Rights Reserved.